#ifndef __checkpoint_h
#define __checkpoint_h

#define	ENOCKPT		100  /* checkpointing is currently disabled */
#define	ETOOSOON	101  /* too little time passed since previous ckpt */

#define CKPT_DEAD       1
#define CKPT_RDONLY     0

#ifdef	__STDC__

int checkpoint_here_(void);
int checkpoint_here(void);
int include_bytes_(char *, unsigned long *);
int exclude_bytes_(char *, unsigned long *, int *);
int exclude_bytes(char *, unsigned long, int);
int include_bytes(char *, unsigned long);
void pl_unprotect(void);


#else /* __STDC__ */

int checkpoint_here();
int include_bytes(/* char *, unsigned long */);
int exclude_bytes(/* char *, unsigned long, int */);

#endif  /* __STDC__  */

#endif
